PrototypeObjectFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.object.PrototypeObjectFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.object
Class PrototypeObjectFactory

    java.lang.Object
      org.mule.object.AbstractObjectFactory
          org.mule.object.PrototypeObjectFactory

All Implemented Interfaces:
  Disposable, Initialisable, ObjectFactory

    public class PrototypeObjectFactory

extends AbstractObjectFactory

Creates a new instance of the object on each call.

Field Summary

Fields inherited from class org.mule.object.AbstractObjectFactory
`ATTRIBUTE_OBJECT_CLASS, ATTRIBUTE_OBJECT_CLASS_NAME, initialisationCallbacks, logger, objectClass, objectClassName, properties`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`PrototypeObjectFactory()` For Spring only
`PrototypeObjectFactory(Class objectClass)`
`PrototypeObjectFactory(Class objectClass, Map properties)`
`PrototypeObjectFactory(String objectClassName)`
`PrototypeObjectFactory(String objectClassName, Map properties)`

Method Summary

Methods inherited from class org.mule.object.AbstractObjectFactory
`addObjectInitialisationCallback, dispose, fireInitialisationCallbacks, getInstance, getObjectClass, getObjectClassName, getProperties, initialise, isExternallyManagedLifecycle, isSingleton, setObjectClass, setObjectClassName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrototypeObjectFactory

    public PrototypeObjectFactory()

  For Spring only

### PrototypeObjectFactory

    public PrototypeObjectFactory(String objectClassName)

### PrototypeObjectFactory

    public PrototypeObjectFactory(String objectClassName,
                                  Map properties)

### PrototypeObjectFactory

    public PrototypeObjectFactory(Class objectClass)

### PrototypeObjectFactory

    public PrototypeObjectFactory(Class objectClass,
                                  Map properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.